Subject: Re: [PATCH v2] refs: speed up is_refname_available

From: Jeff King <[email-masked]>
Date: Wed, 10 Sep 2014 21:39:03 -0400

On Wed, Sep 10, 2014 at 03:21:39PM -0700, Junio C Hamano wrote:

> Jeff King <[email-masked]> writes:
> 
> > ...
> > Reviewed-by: Michael Haggerty <[email-masked]>
> > Signed-off-by: Jeff King <[email-masked]>
> > ---
> > Sorry for the quick v2; Michael and I crossed emails off-list, and I
> > missed some of his review. This version has some minor style and comment
> > fixups.
> 
> Looks sensible from a cursory read, but it conflicts heavily with
> 54e696fc (refs.c: pass a skip list to name_conflict_fn, 2014-07-16)
> which is queued early on 'pu', and I am definitely not in the
> business of re-designing that huge topic myself.

Did you miss the part in v1 where I pointed to a tree with a proposed
resolution? :)

I am also happy to rebase if the other bits are coming to master soon.

-Peff